Control de actualización de complementos de Citrix Gateway

Información general

Los administradores del sistema controlan el rendimiento del plug-in de Citrix ADC cuando su versión no coincide con la revisión de Citrix Gateway. Las nuevas opciones controlan el comportamiento de actualización del complemento para Mac, Windows o sistemas operativos.

Para los plug-ins VPN, la opción de actualización se puede configurar en dos lugares en la interfaz de usuario de Citrix ADC:

  • En la configuración global
  • En el nivel Perfil de sesión

Comportamientos de complementos

Para cada tipo de cliente, Citrix Gateway permite las tres opciones siguientes para controlar el comportamiento de actualización de complementos:

a.Siempre

El complemento siempre se actualiza cuando la versión del complemento del usuario final no coincide con el complemento suministrado con Citrix ADC. Este es el comportamiento predeterminado. Elija esta opción si no desea que se ejecuten varias versiones de plug-in en su empresa.

b. Esencial (y seguridad)

El complemento solo se actualizó cuando se considera necesario. Las actualizaciones se consideran necesarias en dos circunstancias

  • El complemento instalado no es compatible con la versión actual de Citrix ADC.

  • El complemento instalado debe actualizarse para la corrección de seguridad necesaria.

Debe elegir esta opción si desea minimizar el número de actualizaciones de complementos, pero no desea perder ninguna actualización de seguridad de complementos

c.Nunca.

El complemento no se actualiza.

Parámetros de CLI para controlar la actualización de complementos VPN

Citrix Gateway admite dos tipos de complementos (EPA y VPN) para sistemas operativos Windows y Mac. Para admitir el control de actualización de complementos VPN en el nivel de sesión, Citrix Gateway admite dos parámetros de perfil de sesión denominados WindowsInPluginUpgrade y MacPluginUpgrade.

Estos parámetros están disponibles a nivel global, de servidor virtual, de grupo y de usuario. Cada parámetro puede tener un valor de Siempre, Esencial o Nunca. Para obtener una descripción de estos parámetros, consulteComportamientos de complementos.

Parámetros de CLI para controlar la actualización del plug-in de EPA

Citrix Gateway admite complementos de EPA para sistemas operativos Windows y Mac. Para admitir el control de actualización de complementos de EPA en el nivel de Vserver, Citrix Gateway admite dos parámetros de Vserver denominados WindowsEPAPluginUpgrade y MacEPAPluginUpgrade.

Los parámetros están disponibles en el nivel del servidor virtual. Cada parámetro puede tener un valor de Siempre, Esencial o Nunca. Para obtener una descripción de estos parámetros, consulteComportamientos de complementos

Configuración VPN

Siga estos pasos para la configuración VPN de los plug-ins de Windows, Linux y Mac.

  1. Vaya a Citrix NetScaler>Policies>Sesión.

    Imagen localizada

  2. Seleccione la directiva de sesión deseada y, a continuación, haga clic en Editar.

    Imagen localizada

  3. Haga clic en el icono +.

    Imagen localizada

  4. Seleccione la ficha Experiencia del cliente.

    Imagen localizada

  5. Estas opciones de cuadros de diálogo afectan al comportamiento de actualización.

    • Siempre

    • Esencial

    • Nunca

El valor predeterminado es Siempre.

  1. Active la casilla de verificación situada a la derecha de cada opción. Seleccione la frecuencia para aplicar el comportamiento de actualización.

    Imagen localizada

Configuración de EPA

Siga estos pasos para la configuración EPA de los plug-ins de Windows, Linux y Apple.

       1.Vaya a Citrix Gateway > Servidores virtuales.

Imagen localizada

       2. Seleccione un servidor y haga clic en el botón Editar.

Imagen localizada

      3.Haga clic en el icono del lápiz.

Imagen localizada

      4. Haga clic en Más

Imagen localizada

       5.Los cuadros de diálogo que aparecen afectan al comportamiento de actualización. Las opciones disponibles son:

  • Siempre
  • Esencial
  • Nunca

Imagen localizada

Requisitos

  • La versión del complemento de Windows EPA y VPN debe ser mayor que 11.0.0.0

  • La versión del plug-in de la EPA de Mac debe ser mayor que 3.0.0.31

  • La versión del plug-in de Mac VPN debe ser mayor que 3.1.4 (357)

Nota: Si Citrix ADC se actualiza a la versión 11.0, todos los complementos VPN (y EPA) anteriores se actualizarán a la versión más reciente, independientemente de la configuración del control de actualización. Para las actualizaciones posteriores, respetarán la configuración de control de actualización anterior.